You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     step...@freebsd.org
Last committer: step...@freebsd.org
Ident:          $FreeBSD: head/math/octave-forge-ad/Makefile 406536 2016-01-17 
20:12:20Z stephen $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p406625_s294299/logs/octave-forge-ad-1.0.6_12.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p406625_s294299
Log:

====>> Building math/octave-forge-ad
build started at Wed Jan 20 05:26:50 UTC 2016
port directory: /usr/ports/math/octave-forge-ad
building for: FreeBSD head-amd64-default-job-24 11.0-CURRENT FreeBSD 
11.0-CURRENT r294299 amd64
maintained by: step...@freebsd.org
Makefile ident:      $FreeBSD: head/math/octave-forge-ad/Makefile 406536 
2016-01-17 20:12:20Z stephen $
Poudriere version: 3.1.10
Host OSVERSION: 1100091
Jail OSVERSION: 1100094




!!! Jail is newer than host. (Jail: 1100094, Host: 1100091) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 11.0-CURRENT r294299
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=octave-forge-ad-1.0.6_12
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100094
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6 F77="gfortran48" 
FC="gfortran48" FFLAGS="-O -Wl,-rpath=/usr/local/lib/gcc48" 
FCFLAGS="-Wl,-rpath=/usr/local/lib/gcc48" MAKE=gmake 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work  
HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh ADDR2LINE="/usr/local/bin/addr2line" 
AR="/usr/local/bin/ar" AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
PACKAGE=/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6.tar.gz 
F77="gfortran48" FC="gfortran48" FFLAGS="-O -Wl,-rpath=/usr/local/lib/gcc48" 
FCFLAGS="-Wl,-rpath=/usr/local/lib/gcc48" 
XDG_DATA_HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work  
HOME=/wrkdirs/usr/ports/math/octave-forge-ad/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES 
ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" 
AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  
-fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" 
-Wl,-rpath=/usr/local/lib/
 gcc48  -L/usr/local/lib/gcc48 -B/usr/local/bin -fstack-protector" LIBS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/octave-forge-ad"
EXAMPLESDIR="share/examples/octave-forge-ad"
DATADIR="share/octave-forge-ad"
WWWDIR="www/octave-forge-ad"
ETCDIR="etc/octave-forge-ad"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/octave-forge-ad
DOCSDIR=/usr/local/share/doc/octave-forge-ad
EXAMPLESDIR=/usr/local/share/examples/octave-forge-ad
WWWDIR=/usr/local/www/octave-forge-ad
ETCDIR=/usr/local/etc/octave-forge-ad
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   octave-forge-ad-1.0.6_12 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[head-amd64-default-job-24] Installing pkg-1.6.2...
[head-amd64-default-job-24] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   octave-forge-ad-1.0.6_12 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of octave-forge-ad-1.0.6_12
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by octave-forge-ad-1.0.6_12 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by octave-forge-ad-1.0.6_12 for building
=> SHA256 Checksum OK for octave-forge/ad-1.0.6.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by octave-forge-ad-1.0.6_12 for building
===>  Extracting for octave-forge-ad-1.0.6_12
=> SHA256 Checksum OK for octave-forge/ad-1.0.6.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for octave-forge-ad-1.0.6_12
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for octave-forge-ad-1.0.6_12
===========================================================================
=======================<phase: build-depends  >============================
===>   octave-forge-ad-1.0.6_12 depends on executable: octave - not found
===>   Installing existing package /packages/All/octave-4.0.0_1.txz
[head-amd64-default-job-24] Installing octave-4.0.0_1...
[head-amd64-default-job-24] `-- Installing glpk-4.52.1_3...
[head-amd64-default-job-24] |   `-- Installing gmp-5.1.3_2...
[head-amd64-default-job-24] |   | `-- Installing indexinfo-0.2.4...
[head-amd64-default-job-24] |   | `-- Extracting indexinfo-0.2.4: .... done
[head-amd64-default-job-24] |   `-- Extracting gmp-5.1.3_2: .......... done
[head-amd64-default-job-24] `-- Extracting glpk-4.52.1_3: .......... done
[head-amd64-default-job-24] `-- Installing fftw3-float-3.3.3_2...
[head-amd64-default-job-24] `-- Extracting fftw3-float-3.3.3_2: .......... done
[head-amd64-default-job-24] `-- Installing openblas-0.2.14,1...
[head-amd64-default-job-24] |   `-- Installing gcc-4.8.5_2...
[head-amd64-default-job-24] |   | `-- Installing mpc-1.0.3...
[head-amd64-default-job-24] |   |   `-- Installing mpfr-3.1.3...
[head-amd64-default-job-24] |   |   `-- Extracting mpfr-3.1.3: .......... done
[head-amd64-default-job-24] |   | `-- Extracting mpc-1.0.3: ...... done
[head-amd64-default-job-24] |   | `-- Installing binutils-2.25.1...
[head-amd64-default-job-24] |   |   `-- Installing gettext-runtime-0.19.6...
[head-amd64-default-job-24] |   |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-amd64-default-job-24] |   | `-- Extracting binutils-2.25.1: .......... 
done
[head-amd64-default-job-24] |   | `-- Installing gcc-ecj-4.5...
[head-amd64-default-job-24] |   | `-- Extracting gcc-ecj-4.5: . done
[head-amd64-default-job-24] |   `-- Extracting gcc-4.8.5_2: .......... done
[head-amd64-default-job-24] `-- Extracting openblas-0.2.14,1: ......... done
[head-amd64-default-job-24] `-- Installing GraphicsMagick-1.3.23_2,1...
[head-amd64-default-job-24] |   `-- Installing jbigkit-2.1_1...
[head-amd64-default-job-24] |   `-- Extracting jbigkit-2.1_1: .......... done
[head-amd64-default-job-24] |   `-- Installing jasper-1.900.1_15...
[head-amd64-default-job-24] |   | `-- Installing jpeg-turbo-1.4.2...
[head-amd64-default-job-24] |   | `-- Extracting jpeg-turbo-1.4.2: .......... 
done
[head-amd64-default-job-24] |   `-- Extracting jasper-1.900.1_15: .......... 
done
[head-amd64-default-job-24] |   `-- Installing libxml2-2.9.3...
[head-amd64-default-job-24] |   `-- Extracting libxml2-2.9.3: .......... done
[head-amd64-default-job-24] |   `-- Installing lcms2-2.7_2...
[head-amd64-default-job-24] |   | `-- Installing tiff-4.0.6_1...
[head-amd64-default-job-24] |   | `-- Extracting tiff-4.0.6_1: .......... done
[head-amd64-default-job-24] |   `-- Extracting lcms2-2.7_2: .......... done
[head-amd64-default-job-24] |   `-- Installing png-1.6.20...
[head-amd64-default-job-24] |   `-- Extracting png-1.6.20: .......... done
[head-amd64-default-job-24] |   `-- Installing libwmf-0.2.8.4_15...
[head-amd64-default-job-24] |   | `-- Installing libX11-1.6.3,1...
[head-amd64-default-job-24] |   |   `-- Installing xproto-7.0.28...
[head-amd64-default-job-24] |   |   `-- Extracting xproto-7.0.28: .......... 
done
[head-amd64-default-job-24] |   |   `-- Installing kbproto-1.0.7...
[head-amd64-default-job-24] |   |   `-- Extracting kbproto-1.0.7: .......... 
done
[head-amd64-default-job-24] |   |   `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-24] |   |   `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-amd64-default-job-24] |   |   `-- Installing libxcb-1.11.1...
<snip>
======================================================================

To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
 - databases/qt4-ibase-plugin           InterBase/Firebird
 - databases/qt4-mysql-plugin           MySQL
 - databases/qt4-odbc-plugin            Open Database Connectivity
 - databases/qt4-pgsql-plugin           PostgreSQL
 - databases/qt4-sqlite-plugin          SQLite 2
 - databases/qt4-sqlite3-plugin         SQLite 3

======================================================================
===>   octave-forge-ad-1.0.6_12 depends on executable: octave - found
===>   Returning to build of octave-forge-ad-1.0.6_12
===>   octave-forge-ad-1.0.6_12 depends on executable: gfortran48 - found
===>   octave-forge-ad-1.0.6_12 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[head-amd64-default-job-24] Installing gmake-4.1_2...
[head-amd64-default-job-24] Extracting gmake-4.1_2: .......... done
===>   octave-forge-ad-1.0.6_12 depends on executable: gmake - found
===>   Returning to build of octave-forge-ad-1.0.6_12
===>   octave-forge-ad-1.0.6_12 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   octave-forge-ad-1.0.6_12 depends on shared library: libpcre.so - found 
(/usr/local/lib/libpcre.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for octave-forge-ad-1.0.6_12
configure: loading site script /usr/ports/Templates/config.site
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for mkoctfile... mkoctfile
retrieving compile and link flags from mkoctfile
checking for F77_FUNC... yes
checking for octave... octave
checking for OCTAVE_VERSION in Octave... octave: X11 DISPLAY environment 
variable not set
octave: disabling GUI features
4.0.0
checking for octave_config_info('canonical_host_type') in Octave... octave: X11 
DISPLAY environment variable not set
octave: disabling GUI features
amd64-portbld-freebsd11.0
checking for octave_config_info('SHLEXT') in Octave... octave: X11 DISPLAY 
environment variable not set
octave: disabling GUI features
so
checking whether ln -s works... yes
checking for ranlib... /usr/local/bin/ranlib
checking for strip... strip
checking for makeinfo... makeinfo
checking for makeinfo --no-split... yes
checking for texi2dvi... texi2dvi
checking that texi2dvi runs... no
checking for texi2html... no
checking for dvipdf... no
checking for dvips... no
configure: creating ./config.status
config.status: creating Makeconf
 
  "$prefix" is /usr/local
  "$exec_prefix" is ${prefix}

octave commands will install into the following directories:
   m-files:   /usr/local/share/octave/4.0.0/site/m/octave-forge
   oct-files: 
/usr/local/lib/octave/4.0.0/site/oct/amd64-portbld-freebsd11.0/octave-forge
   binaries:  
/usr/local/libexec/octave/4.0.0/site/exec/amd64-portbld-freebsd11.0
alternatives:
   m-files:   /usr/local/share/octave/4.0.0/site/octave-forge-alternatives/m
   oct-files: 
/usr/local/lib/octave/4.0.0/site/octave-forge-alternatives/oct/amd64-portbld-freebsd11.0

shell commands will install into the following directories:
   binaries:  ${exec_prefix}/bin
   man pages: /usr/local/man
   libraries: ${exec_prefix}/lib
   headers:   ${prefix}/include

octave-forge is configured with
   octave:      octave (version 4.0.0)
   mkoctfile:   mkoctfile for Octave 0
   X11 support: 
   makeinfo:    makeinfo --no-split
   texi2dvi:    
   texi2html:   
   mkdoc:       
/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6/src/admin/mkdoc
   mktexi:      
/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6/src/admin/mktexi
   dvips:       
   dvipdf:      

find . -name NOINSTALL -print    # shows which toolboxes won't be installed

===========================================================================
=======================<phase: build          >============================
===>  Building for octave-forge-ad-1.0.6_12
gmake[1]: Entering directory 
'/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6'
gmake[2]: Entering directory 
'/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6/src'
Depending grad-ops.cc
Depending ov-grad.cc
Compiling ov-grad.o
In file included from ov-grad.cc:18:
./ov-grad.h:143:2: error: unknown type name 'DECLARE_OCTAVE_ALLOCATOR'
        DECLARE_OCTAVE_ALLOCATOR
        ^
./ov-grad.h:144:2: error: expected member name or ';' after declaration 
specifiers
        DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA
        ^
/usr/local/include/octave-4.0.0/octave/ov-base.h:143:3: note: expanded from 
macro 'DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA'
  DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA2 (OCTAVE_EMPTY_CPP_ARG)
  ^
/usr/local/include/octave-4.0.0/octave/ov-base.h:149:3: note: expanded from 
macro 'DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA2'
  public: \
  ^
ov-grad.cc:30:1: error: unknown type name 'DEFINE_OCTAVE_ALLOCATOR'
DEFINE_OCTAVE_ALLOCATOR (octave_gradient);
^
ov-grad.cc:31:1: error: out-of-line definition of 'register_type' does not 
match any declaration in 'octave_gradient'
DEFINE_OV_TYPEID_FUNCTIONS_AND_DATA (octave_gradient, "gradient", "gradient");
^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/octave-4.0.0/octave/ov-base.h:168:11: note: expanded from 
macro 'DEFINE_OV_TYPEID_FUNCTIONS_AND_DATA'
  void t::register_type (void) \
          ^~~~~~~~~~~~~
ov-grad.cc:50:35: error: no matching conversion for functional-style cast from 
'octave_idx_type' (aka 'int') to 'Array<octave_idx_type>'
      Array<octave_idx_type> ix = Array<octave_idx_type> (n);
                                  ^~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/octave-4.0.0/octave/Array.h:181:12: note: candidate 
constructor not viable: no known conversion from 'octave_idx_type' (aka 'int') 
to 'const dim_vector' for 1st argument
  explicit Array (const dim_vector& dv)
           ^
/usr/local/include/octave-4.0.0/octave/Array.h:211:3: note: candidate 
constructor not viable: no known conversion from 'octave_idx_type' (aka 'int') 
to 'const Array<int>' for 1st argument
  Array (const Array<T>& a)
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:204:3: note: candidate template 
ignored: could not match 'Array<type-parameter-0-0>' against 'int'
  Array (const Array<U>& a)
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:173:3: note: candidate 
constructor not viable: requires 0 arguments, but 1 was provided
  Array (void)
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:190:12: note: candidate 
constructor not viable: requires 2 arguments, but 1 was provided
  explicit Array (const dim_vector& dv, const T& val)
           ^
/usr/local/include/octave-4.0.0/octave/Array.h:200:3: note: candidate 
constructor not viable: requires 2 arguments, but 1 was provided
  Array (const Array<T>& a, const dim_vector& dv);
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:142:3: note: candidate 
constructor not viable: requires 4 arguments, but 1 was provided
  Array (const Array<T>& a, const dim_vector& dv,
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:165:3: note: candidate 
constructor not viable: requires 4 arguments, but 1 was provided
  Array (T *sdata, octave_idx_type slen, octave_idx_type *adims, void *arep)
  ^
ov-grad.cc:53:24: error: no matching constructor for initialization of 
'Array<double>'
          return SparseMatrix(Array<double> (1, 1.0), ix, ix, n, n, false);
                              ^              ~~~~~~
/usr/local/include/octave-4.0.0/octave/Array.h:190:12: note: candidate 
constructor not viable: no known conversion from 'int' to 'const dim_vector' 
for 1st argument
  explicit Array (const dim_vector& dv, const T& val)
           ^
/usr/local/include/octave-4.0.0/octave/Array.h:200:3: note: candidate 
constructor not viable: no known conversion from 'int' to 'const Array<double>' 
for 1st argument
  Array (const Array<T>& a, const dim_vector& dv);
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:204:3: note: candidate 
constructor template not viable: requires single argument 'a', but 2 arguments 
were provided
  Array (const Array<U>& a)
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:181:12: note: candidate 
constructor not viable: requires single argument 'dv', but 2 arguments were 
provided
  explicit Array (const dim_vector& dv)
           ^
/usr/local/include/octave-4.0.0/octave/Array.h:211:3: note: candidate 
constructor not viable: requires single argument 'a', but 2 arguments were 
provided
  Array (const Array<T>& a)
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:173:3: note: candidate 
constructor not viable: requires 0 arguments, but 2 were provided
  Array (void)
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:142:3: note: candidate 
constructor not viable: requires 4 arguments, but 2 were provided
  Array (const Array<T>& a, const dim_vector& dv,
  ^
/usr/local/include/octave-4.0.0/octave/Array.h:165:3: note: candidate 
constructor not viable: requires 4 arguments, but 2 were provided
  Array (T *sdata, octave_idx_type slen, octave_idx_type *adims, void *arep)
  ^
ov-grad.cc:464:20: error: call to non-static member function without an object 
argument
                octave_gradient::register_type ();
                ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~
ov-grad.cc:475:20: error: must use 'class' tag to refer to type 
'octave_gradient' in this scope
                        retval(0) = new octave_gradient (arg);
                                        ^
                                        class 
ov-grad.cc:30:26: note: class 'octave_gradient' is hidden by a non-type 
declaration of 'octave_gradient' here
DEFINE_OCTAVE_ALLOCATOR (octave_gradient);
                         ^
8 errors generated.
Makefile:37: recipe for target 'ov-grad.o' failed
gmake[2]: *** [ov-grad.o] Error 1
gmake[2]: Leaving directory 
'/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6/src'
Makefile:16: recipe for target 'build' failed
gmake[1]: *** [build] Error 2
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/math/octave-forge-ad/work/ad-1.0.6'
*** Error code 1

Stop.
make: stopped in /usr/ports/math/octave-forge-ad
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to